> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memorylake.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 批量遗忘 Agent 事实

> 在单个请求中将多个 Agent 的事实标记为已遗忘

```
POST /openapi/memorylake/api/v3/workspaces/{workspaceId}/agents/{agentId}/facts/forget
```

在单个请求中将多个 Agent 的事实标记为已遗忘（已过期）。与[遗忘 Agent 事实](/features/memorylake/api-reference/facts/forget-agent-fact)类似，这是一种软删除——事实仍可用于审计目的，但会从未来的检索和搜索中排除。

<Note>
  **所需权限：** `workspace_agent:fact_delete`
</Note>

### 路径参数

<ParamField path="workspaceId" type="string" required>
  工作空间 ID
</ParamField>

<ParamField path="agentId" type="string" required>
  Agent ID
</ParamField>

### 请求体

<ParamField body="ids" type="array" required>
  要遗忘的事实 ID 数组
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://app.memorylake.cn/openapi/memorylake/api/v3/workspaces/ws-fe314186ccd18cde04d6af48a5afd79f/agents/agent-f8bf71ab17ed8eccad8c0e8ae708273f/facts/forget' \
    -H 'Authorization: Bearer sk_xxxxxx' \
    -H 'Content-Type: application/json' \
    -d '{
      "ids": [
        "fact-11a0e057d09877c9c492633fd60424fc",
        "fact-9e6e9b323824eb264c1165994af65c1e",
        "fact_9h8g7f6e5d4c"
      ]
    }'
  ```
</RequestExample>

### 响应

成功时返回空的 `data` 对象。

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "success": true,
    "data": {}
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.